<?php
/*
Plugin Name: Čeština pro WordPress
Plugin URI: http://www.separatista.net
Description: Doplňuje funkčnost oficiální češtiny ve WordPressu (a výchozích šablonách) a obsahuje další překlady pluginů a šablon do češtiny.
Author: Separatista
Version: 0.1
Author URI: http://www.separatista.net
*/

// TODO
// Ošetřit deaktivaci původního pluginu s úpravami češtiny.
// Ošetřit a otestovat jiné možnosti - http://bbpress.trac.wordpress.org/ticket/1647
// Počet komentářů ošetřit u obou výchozích šablon.

// Soubor s funkcemi pro českou lokalizaci WordPressu (cs_CZ)...
// 1) Tvrdá mezera jako oddělovač tisíců zabrání zalamování čísel...
// Zdroj: http://www.honza.info/wordpress/jak-na-ceske-formatovani-cisel-ve-wordpressu/
function separatista_cisla_hezky_cesky( $number ) {
  return str_replace( ' ', '&nbsp;', $number );
}
add_filter( 'number_format_i18n', 'separatista_cisla_hezky_cesky' );

// 2) Odkaz s počtem komentářů ve výchozích šablonách rozlišuje výrazy "komentáře" a "komentářů"...
function separatista_komentare_hezky_cesky( $output, $number ) {
  $nazev_sablony = get_current_theme();
  if( $number >= 5 && $nazev_sablony == 'Twenty Ten' ) {
    $output = str_replace( 'komentáře', 'komentářů', $output );
  }
  return $output;
}
add_filter( 'comments_number', 'separatista_komentare_hezky_cesky', 10, 2 );

// Nastavení správné cesty k překladům...
if ( !function_exists( 'separatista_bbpress_cesky_preklad' ) ) {
  function separatista_bbpress_cesky_preklad( $mofile, $domain='' ) {
  	// bbPress...
    if ( in_array( $domain, array( 'bbpress' ) ) ) {
      $pathinfo = pathinfo( $mofile );
      $custom_mofile = WP_PLUGIN_DIR . '/cestina-pro-wordpress/plugins/bbpress/' . $pathinfo['basename'];
    }
    if ( file_exists( $custom_mofile ) )
      return ( $custom_mofile );
    else
      return $mofile;
  }
}
add_filter( 'load_textdomain_mofile', 'separatista_bbpress_cesky_preklad', 10, 2 );

//add_action( 'init', 'separatista_nacist_bbpress' );
//function separatista_nacist_bbpress() {
if ( !is_textdomain_loaded( 'bbpress' ) ) {
	load_plugin_textdomain( 'bbpress', WP_PLUGIN_DIR . '/cestina-pro-wordpress/plugins/bbpress/bbpress-cs_CZ.mo' );
	// Načteme příslušný soubor s funkcemi...
  require( WP_PLUGIN_DIR . '/cestina-pro-wordpress/plugins/bbpress/bbpress.php' );
}
//}
?>